﻿var RegexZipCode = [

{ CId:"GB", Regexp :"GIR[ ]?0AA|((AB|AL|B|BA|BB|BD|BH|BL|BN|BR|BS|BT|CA|CB|CF|CH|CM|CO|CR|CT|CV|CW|DA|DD|DE|DG|DH|DL|DN|DT|DY|E|EC|EH|EN|EX|FK|FY|G|GL|GY|GU|HA|HD|HG|HP|HR|HS|HU|HX|IG|IM|IP|IV|JE|KA|KT|KW|KY|L|LA|LD|LE|LL|LN|LS|LU|M|ME|MK|ML|N|NE|NG|NN|NP|NR|NW|OL|OX|PA|PE|PH|PL|PO|PR|RG|RH|RM|S|SA|SE|SG|SK|SL|SM|SN|SO|SP|SR|SS|ST|SW|SY|TA|TD|TF|TN|TQ|TR|TS|TW|UB|W|WA|WC|WD|WF|WN|WR|WS|WV|YO|ZE)(\d[\dA-Z]?[ ]?\d[ABD-HJLN-UW-Z]{2}))|BFPO[ ]?\d{1,4}"},
{ CId:"JE", Regexp :"JE\d[\dA-Z]?[ ]?\d[ABD-HJLN-UW-Z]{2}"},
{ CId:"GG", Regexp :"GY\d[\dA-Z]?[ ]?\d[ABD-HJLN-UW-Z]{2}"},
{ CId:"IM", Regexp :"IM\d[\dA-Z]?[ ]?\d[ABD-HJLN-UW-Z]{2}"},
{ CId:"US", Regexp :"\d{5}([ \-]\d{4})?"},
{ CId:"CA", Regexp :"[ABCEGHJKLMNPRSTVXY]\d[ABCEGHJ-NPRSTV-Z][ ]?\d[ABCEGHJ-NPRSTV-Z]\d"},
{ CId:"DE", Regexp :"\d{5}"},
{ CId:"JP", Regexp :"\d{3}-\d{4}"},
{ CId:"FR", Regexp :"\d{2}[ ]?\d{3}"},
{ CId:"AU", Regexp :"\d{4}"},
{ CId:"IT", Regexp :"\d{5}"},
{ CId:"CH", Regexp :"\d{4}"},
{ CId:"AT", Regexp :"\d{4}"},
{ CId:"ES",Regexp : "\d{5}"},
{ CId:"NL", Regexp :"\d{4}[ ]?[A-Z]{2}"},
{ CId:"BE", Regexp :"\d{4}"},
{ CId:"DK", Regexp :"\d{4}"},
{ CId:"SE", Regexp :"\d{3}[ ]?\d{2}"},
{ CId:"NO", Regexp :"\d{4}"},
{ CId:"BR", Regexp :"\d{5}[\-]?\d{3}"},
{ CId:"PT", Regexp :"\d{4}([\-]\d{3})?"},
{ CId:"FI",Regexp : "\d{5}"},
{ CId:"FI", Regexp :"\d{5}"},
{ CId:"AX", Regexp :"22\d{3}"},
{ CId:"KR", Regexp :"\d{3}[\-]\d{3}"},
{ CId:"CN", Regexp :"\d{6}"},
{ CId:"TW", Regexp :"\d{3}(\d{2})?"},
{ CId:"SG", Regexp :"\d{6}"},
{ CId:"DZ", Regexp :"\d{5}"},
{ CId:"AD",Regexp : "AD\d{3}"},
{ CId:"AR", Regexp :"([A-HJ-NP-Z])?\d{4}([A-Z]{3})?"},
{ CId:"AM", Regexp :"(37)?\d{4}"},
{ CId:"AZ", Regexp :"\d{4}"},
{ CId:"BH",Regexp : "((1[0-2]|[2-9])\d{2})?"},
{ CId:"BD", Regexp :"\d{4}"},
{ CId:"BB", Regexp :"(BB\d{5})?"},
{ CId:"BY",Regexp : "\d{6}"},
{ CId:"BM",Regexp : "[A-Z]{2}[ ]?[A-Z0-9]{2}"},
{ CId:"BA",Regexp : "\d{5}"},
{ CId:"IO", Regexp :"BBND 1ZZ"},
{ CId:"BN", Regexp :"[A-Z]{2}[ ]?\d{4}"},
{ CId:"BG",Regexp : "\d{4}"},
{ CId:"KH",Regexp : "\d{5}"},
{ CId:"CV",Regexp : "\d{4}"},
{ CId:"CL",Regexp : "\d{7}"},
{ CId:"CR",Regexp : "\d{4,5}|\d{3}-\d{4}"},
{ CId:"HR", Regexp :"\d{5}"},
{ CId:"CY",Regexp : "\d{4}"},
{ CId:"CZ", Regexp :"\d{3}[ ]?\d{2}"},
{ CId:"DO", Regexp :"\d{5}"},
{ CId:"EC",Regexp : "([A-Z]\d{4}[A-Z]|(?:[A-Z]{2})?\d{6})?"},
{ CId:"EG",Regexp : "\d{5}"},
{ CId: "EE", Regexp :"\d{5}"},
{ CId:"FO", Regexp :"\d{3}"},
{ CId:"GE", Regexp :"\d{4}"},
{ CId:"GR",Regexp : "\d{3}[ ]?\d{2}"},
{ CId:"GL",Regexp : "39\d{2}"},
{ CId:"GT", Regexp :"\d{5}"},
{ CId:"HT", Regexp :"\d{4}"},
{ CId:"HN",Regexp : "(?:\d{5})?"},
{ CId:"HU", Regexp :"\d{4}"},
{ CId:"IS", Regexp :"\d{3}"},
{ CId:"IN", Regexp :"\d{6}"},
{ CId:"ID", Regexp :"\d{5}"},
{ CId:"IL", Regexp :"\d{5}"},
{ CId:"JO",Regexp : "\d{5}"},
{ CId:"KE",Regexp : "\d{5}"},
{ CId:"KW",Regexp : "\d{5}"},
{ CId:"LA",Regexp : "\d{5}"},
{ CId:"LV",Regexp : "\d{4}"},
{ CId:"LB", Regexp :"(\d{4}([ ]?\d{4})?)?"},
{ CId:"LI", Regexp :"(948[5-9])|(949[0-7])"},
{ CId:"LT", Regexp :"\d{5}"},
{ CId:"LU", Regexp :"\d{4}"},
{ CId:"MK", Regexp :"\d{4}"},
{ CId:"MY", Regexp :"\d{5}"},
{ CId:"MV", Regexp :"\d{5}"},
{ CId:"MT", Regexp :"[A-Z]{3}[ ]?\d{2,4}"},
{ CId:"MU", Regexp :"(\d{3}[A-Z]{2}\d{3})?"},
{ CId:"MX", Regexp :"\d{5}"},
{ CId:"MD", Regexp :"\d{4}"},
{ CId:"MC", Regexp :"980\d{2}"},
{ CId:"MA", Regexp :"\d{5}"},
{ CId:"NP",Regexp : "\d{5}"},
{ CId:"NZ",Regexp : "\d{4}"},
{ CId:"NI", Regexp :"((\d{4}-)?\d{3}-\d{3}(-\d{1})?)?"},
{ CId:"NG", Regexp :"(\d{6})?"},
{ CId:"OM", Regexp :"(PC )?\d{3}"},
{ CId:"PK", Regexp :"\d{5}"},
{ CId:"PY", Regexp :"\d{4}"},
{ CId:"PH",Regexp : "\d{4}"},
{ CId:"PL", Regexp :"\d{2}-\d{3}"},
{ CId:"PR", Regexp :"00[679]\d{2}([ \-]\d{4})?"},
{ CId:"RO",Regexp : "\d{6}"},
{ CId:"RU", Regexp :"\d{6}"},
{ CId:"SM", Regexp :"4789\d"},
{ CId:"SA",Regexp : "\d{5}"},
{ CId:"SN", Regexp :"\d{5}"},
{ CId:"SK", Regexp :"\d{3}[ ]?\d{2}"},
{ CId:"SI", Regexp :"\d{4}"},
{ CId:"ZA", Regexp :"\d{4}"},
{ CId:"LK",Regexp : "\d{5}"},
{ CId:"TJ", Regexp :"\d{6}"},
{ CId:"TH", Regexp :"\d{5}"},
{ CId:"TN", Regexp :"\d{4}"},
{ CId:"TR", Regexp :"\d{5}"},
{ CId:"TM", Regexp :"\d{6}"},
{ CId:"UA",Regexp : "\d{5}"},
{ CId:"UY", Regexp :"\d{5}"},
{ CId:"UZ", Regexp :"\d{6}"},
{ CId:"VA", Regexp :"00120"},
{ CId:"VE", Regexp :"\d{4}"},
{ CId:"ZM", Regexp :"\d{5}"},
{ CId:"AS", Regexp :"96799"},
{ CId:"CC",Regexp : "6799"},
{ CId:"CK", Regexp :"\d{4}"},
{ CId:"RS",Regexp : "\d{6}"},
{ CId:"ME", Regexp :"8\d{4}"},
{ CId:"CS",Regexp : "\d{5}"},
{ CId:"YU",Regexp : "\d{5}"},
{ CId:"CX", Regexp :"6798"},
{ CId:"ET", Regexp :"\d{4}"},
{ CId:"FK", Regexp :"FIQQ 1ZZ"},
{ CId:"NF", Regexp :"2899"},
{ CId:"FM", Regexp :"(9694[1-4])([ \-]\d{4})?"},
{ CId:"GF", Regexp :"9[78]3\d{2}"},
{ CId:"GN", Regexp :"\d{3}"},
{ CId:"GP", Regexp :"9[78][01]\d{2}"},
{ CId:"GS", Regexp :"SIQQ 1ZZ"},
{ CId:"GU",Regexp : "969[123]\d([ \-]\d{4})?"},
{ CId:"GW", Regexp :"\d{4}"},
{ CId:"HM", Regexp :"\d{4}"},
{ CId:"IQ", Regexp :"\d{5}"},
{ CId:"KG",Regexp : "\d{6}"},
{ CId:"LR",Regexp : "\d{4}"},
{ CId:"LS", Regexp :"\d{3}"},
{ CId:"MG",Regexp : "\d{3}"},
{ CId:"MH",Regexp : "969[67]\d([ \-]\d{4})?"},
{ CId:"MN", Regexp :"\d{6}"},
{ CId:"MP",Regexp : "9695[012]([ \-]\d{4})?"},
{ CId:"MQ", Regexp :"9[78]2\d{2}"},
{ CId:"NC", Regexp :"988\d{2}"},
{ CId:"NE", Regexp :"\d{4}"},
{ CId:"VI", Regexp :"008(([0-4]\d)|(5[01]))([ \-]\d{4})?"},
{ CId:"PF",Regexp : "987\d{2}"},
{ CId:"PG",Regexp : "\d{3}"},
{ CId:"PM",Regexp : "9[78]5\d{2}"},
{ CId:"PN",Regexp : "PCRN 1ZZ"},
{ CId:"PW", Regexp :"96940"},
{ CId:"RE", Regexp :"9[78]4\d{2}"},
{ CId:"SH",Regexp : "(ASCN|STHL) 1ZZ"},
{ CId:"SJ", Regexp :"\d{4}"},
{ CId:"SO", Regexp :"\d{5}"},
{ CId:"SZ", Regexp :"[HLMS]\d{3}"},
{ CId:"TC", Regexp :"TKCA 1ZZ"},
{ CId:"WF", Regexp :"986\d{2}"},
{ CId:"XK", Regexp :"\d{5}"},
{ CId:"YT",Regexp : "976\d{2}"},

];